%define major 0
%define api 0.15
%define libname %mklibname nova %{api} %{major}
%define devname %mklibname nova -d

Summary:	General purpose astronomy & astrodynamics library
Name:		libnova
Version:	0.15.0
Release:	2
License:	LGPLv2+
Group:		Sciences/Astronomy
Url:		http://sourceforge.net/projects/libnova/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libnova-0.15.0-optflags.patch

%description
Libnova is a general purpose, double precision, celestial mechanics,
astrometry and astrodynamics library

%files
%doc ChangeLog README AUTHORS NEWS COPYING
%{_bindir}/libnovaconfig

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library files for %{name}
Group:		System/Libraries

%description -n %{libname}
Contains library files for nova.

%files -n %{libname}
%{_libdir}/libnova-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}nova13-devel < 0.15.0
Obsoletes:	%{_lib}nova13-devel < 0.15.0

%description -n %{devname}
Contains library and header files for nova.

%files -n %{devname}
%doc COPYING examples/*.c
%{_includedir}/libnova
%{_libdir}/libnova.so

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.15.0-2
- (083e1f2) Fix development package name


